{
  "criteria": {
    "recipe_trigger": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "items": "pale_oak_planks"
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "recipe_trigger"
    ]
  ],
  "rewards": {
    "recipes": [
      "pale_oak_slab",
      "pale_oak_stairs",
      "pale_oak_door",
      "pale_oak_trapdoor",
      "pale_oak_boat",
      "pale_oak_button",
      "pale_oak_chest_boat",
      "pale_oak_fence",
      "pale_oak_fence_gate",
      "pale_oak_sign",
      "pale_oak_hanging_sign"
    ],
    "function": "overly_realistic:players/recipe_hints/get_plank_type/get_pale_oak_planks"
  }
}